Name:           python-rsa
Version:        3.4.2
Release:        13
Summary:        Pure-Python RSA implementation
License:        ASL 2.0
URL:            http://stuvel.eu/rsa
Source0:        https://pypi.python.org/packages/source/r/rsa/rsa-%{version}.tar.gz
BuildArch:      noarch

Patch1: 0001-CVE-2020-13757.patch
Patch2: 0002-CVE-2020-25658.patch

%description
Python-RSA is a pure-Python RSA implementation. It supports
encryption and decryption, signing and verifying signatures,
and key generation according to PKCS#1 version 1.5.

%package -n     python2-rsa
%{?python_provide:%python_provide python2-rsa}
Summary:        Pure-Python RSA implementation
BuildRequires:  python2-devel, python2-setuptools, python2-pyasn1 >= 0.1.3
Requires:       python2-pyasn1 >= 0.1.3, python2-setuptools

%description -n python2-rsa
Python-RSA is a pure-Python RSA implementation. It supports
encryption and decryption, signing and verifying signatures,
and key generation according to PKCS#1 version 1.5.

%package -n     python3-rsa
%{?python_provide:%python_provide python3-rsa}
Summary:        Pure-Python RSA implementation
BuildRequires:  python3-devel, python3-setuptools, python3-pyasn1 >= 0.1.3, python3-unittest2
Requires:       python3-pyasn1 >= 0.1.3, python3-setuptools

%description -n python3-rsa
Python-RSA is a pure-Python RSA implementation. It supports
encryption and decryption, signing and verifying signatures,
and key generation according to PKCS#1 version 1.5.

%prep
%autosetup -n rsa-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
cp $RPM_BUILD_ROOT%{_bindir}/pyrsa-priv2pub $RPM_BUILD_ROOT%{_bindir}/pyrsa-priv2pub-2
cp $RPM_BUILD_ROOT%{_bindir}/pyrsa-keygen $RPM_BUILD_ROOT%{_bindir}/pyrsa-keygen-2
cp $RPM_BUILD_ROOT%{_bindir}/pyrsa-encrypt $RPM_BUILD_ROOT%{_bindir}/pyrsa-encrypt-2
cp $RPM_BUILD_ROOT%{_bindir}/pyrsa-decrypt $RPM_BUILD_ROOT%{_bindir}/pyrsa-decrypt-2
cp $RPM_BUILD_ROOT%{_bindir}/pyrsa-sign $RPM_BUILD_ROOT%{_bindir}/pyrsa-sign-2
cp $RPM_BUILD_ROOT%{_bindir}/pyrsa-verify $RPM_BUILD_ROOT%{_bindir}/pyrsa-verify-2
cp $RPM_BUILD_ROOT%{_bindir}/pyrsa-encrypt-bigfile $RPM_BUILD_ROOT%{_bindir}/pyrsa-encrypt-bigfile-2
cp $RPM_BUILD_ROOT%{_bindir}/pyrsa-decrypt-bigfile $RPM_BUILD_ROOT%{_bindir}/pyrsa-decrypt-bigfile-2

%py3_install
mv $RPM_BUILD_ROOT%{_bindir}/pyrsa-priv2pub $RPM_BUILD_ROOT%{_bindir}/pyrsa-priv2pub-3
mv $RPM_BUILD_ROOT%{_bindir}/pyrsa-keygen $RPM_BUILD_ROOT%{_bindir}/pyrsa-keygen-3
mv $RPM_BUILD_ROOT%{_bindir}/pyrsa-encrypt $RPM_BUILD_ROOT%{_bindir}/pyrsa-encrypt-3
mv $RPM_BUILD_ROOT%{_bindir}/pyrsa-decrypt $RPM_BUILD_ROOT%{_bindir}/pyrsa-decrypt-3
mv $RPM_BUILD_ROOT%{_bindir}/pyrsa-sign $RPM_BUILD_ROOT%{_bindir}/pyrsa-sign-3
mv $RPM_BUILD_ROOT%{_bindir}/pyrsa-verify $RPM_BUILD_ROOT%{_bindir}/pyrsa-verify-3
mv $RPM_BUILD_ROOT%{_bindir}/pyrsa-encrypt-bigfile $RPM_BUILD_ROOT%{_bindir}/pyrsa-encrypt-bigfile-3
mv $RPM_BUILD_ROOT%{_bindir}/pyrsa-decrypt-bigfile $RPM_BUILD_ROOT%{_bindir}/pyrsa-decrypt-bigfile-3

%files -n python2-rsa
%doc README.md
%license LICENSE
%{_bindir}/pyrsa-*-2
%{python2_sitelib}/*

%files -n python3-rsa
%doc README.md
%license LICENSE
%{_bindir}/pyrsa-*-3
%{python3_sitelib}/*

%check
%{__python2} setup.py test
%{__python3} setup.py test

%changelog
* Tue Dec 15 2020 yanglongkang <yanglongkang@huawei.com> - 3.4.2-13
- fix CVE-2020-25658

* Tue Aug 4 2020 yanglongkang <yanglongkang@huawei.com> - 3.4.2-12
- fix CVE-2020-13757

* Mon Feb 10 2020 Ruijun Ge <geruijun@huawei.com> - 3.4.2-11
- package init
